%undefine __cmake_in_source_build
%global realname console_bridge
%global libversion 1.0

Name:       console-bridge
Version:    1.0.1
Release:    1%{?dist}
Summary:    Lightweight set of macros used for reporting information in libraries

License:    BSD
URL:        http://ros.org/wiki/console_bridge
Source0:    https://github.com/ros/%{realname}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:     console-bridge-1.0.1-exportheader.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake

%description
A very lightweight set of macros that can be used for reporting information 
in libraries. The logged information can be forwarded to other systems.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn %{realname}-%{version}
%patch0 -p0 -b .exportheader

%build
%cmake -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON
%cmake_build

%install
%cmake_install

%check
%ctest || /bin/true

%files
%{_libdir}/*.so.%{libversion}

%files devel
%{_includedir}/%{realname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{realname}

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-1
- initial build
